Lp 1759343: Remove database upgrade script from 3.1 backport
authorJason Stephenson <jason@sigio.com>
Thu, 20 Jun 2019 15:37:02 +0000 (11:37 -0400)
committerDan Wells <dbw2@calvin.edu>
Fri, 21 Jun 2019 15:57:31 +0000 (11:57 -0400)
Evergreen 3.1 cannot store workstation settings in the database, so
the database updates needed for Evergreen 3.2 and beyond are not
needed in 3.1 and cause errors when building or upgrading the
database.

Signed-off-by: Jason Stephenson <jason@sigio.com>
Signed-off-by: Dan Wells <dbw2@calvin.edu>
Open-ILS/src/sql/Pg/upgrade/XXXX.data.annotate_payment_setting.sql [deleted file]

diff --git a/Open-ILS/src/sql/Pg/upgrade/XXXX.data.annotate_payment_setting.sql b/Open-ILS/src/sql/Pg/upgrade/XXXX.data.annotate_payment_setting.sql
deleted file mode 100644 (file)
index ed749c9..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-BEGIN;
-
-SELECT evergreen.upgrade_deps_block_check('XXXX', :eg_version);
-
-INSERT INTO config.workstation_setting_type (name,label,grp,datatype) VALUES ('eg.circ.bills.annotatepayment','Bills: Annotate Payment', 'circ', 'bool');
-
-COMMIT;
-